/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package yoga_ali_rayhan_mytodoapp;

import org.junit.Test;
import static org.junit.Assert.*;

public class StorageTest {
    @Test
    public void testStorageCount(){
        Storage storage = new Storage();
        assertEquals(0, storage.countTask());
    }

    @Test
    public void testStorageSaveList(){
        Storage storage = new Storage();
        storage.saveTaskList(new Task("Desk",'C'));
        assertEquals(1, storage.countTask());
    }
    @Test 
    public void testStorageGetList (){
        Storage storage = new Storage();
        storage.saveTaskList(new Task("Learned Tdd",'C'));
        assertEquals(1, storage.countTask());
        assertEquals(storage.getTaskList(0).getDesc(), "Learned Tdd");
        assertEquals(storage.getTaskList(0).getStatus(), 'C');
    }
    @Test
    public void testStorageShowList(){
        Storage storage = new Storage();
        int count=0;
        storage.saveTaskList(new Task("Learn Tdd",'I'));
        count = count+1;
        storage.saveTaskList(new Task("Learn Java",'I'));
        count = count+1;
        storage.saveTaskList(new Task("Learn PHP",'I'));
        count = count+1;
        storage.saveTaskList(new Task("Learn C++",'I'));
        count = count+1;
        assertEquals(count, storage.countTask());
    }
}
